//
//  SENTTripProcessingTransportSegment.h
//  SENTSDK
//
//  Created by Ilyas Yurdaon on 2019-10-15.
//  Copyright © 2019 Sentiance. All rights reserved.
//

@import Foundation;
#import "SENTTripProcessingHardEvent.h"
#import "SENTTripProcessingVehicleMode.h"

__deprecated
@interface SENTTripProcessingTransportSegment : NSObject <NSCopying>

/** @brief Detected vehicle mode */
@property (nonatomic) SENTTripProcessingVehicleMode vehicleMode;

/** @brief Start date of the transport segment */
@property (nonatomic, strong) NSDate *startDate;

/** @brief End date of the transport segment */
@property (nonatomic, strong) NSDate *endDate;

/** @brief Distance taken within the transport segment */
@property (nonatomic) double distance;

/** @brief Average speed detected within the transport segment */
@property (nonatomic) double averageSpeed;

/** @brief Top speed detected within the transport segment */
@property (nonatomic) double topSpeed;

/** @brief Percentage of speeding within the transport segment */
@property (nonatomic) int speedingPercentage;

/** @brief List of hard events detected within the transport segment */
@property (nonatomic, strong) NSMutableArray<SENTTripProcessingHardEvent *> *hardEvents;

@end
