//
//  SENTVehicleCrashEvent.h
//  SENTSDK
//
//  Created by David Chelidze on 03/11/2020.
//  Copyright © 2020 Sentiance. All rights reserved.
//


@class CLLocation;

NS_ASSUME_NONNULL_BEGIN

@interface SENTVehicleCrashEvent : NSObject

/**

 * Returns the date of the crash in the UTC

 */
@property (strong, nonatomic) NSDate *date;

/**

 * Returns the last known location prior to the crash.

 */
@property (strong, nonatomic) CLLocation *location;

/**

 * Returns the magnitude of the crash event in m/s2.

 */
@property (assign) Float32 magnitude;

/**

 * Returns the delta-v estimated over the peak duration, in m/s.

 */
@property (assign) Float32 deltaV;


/**

 * Returns the inferred speed at the moment of impact, in m/s.

 */
@property (assign) Float32 speedAtImpact;

/**

 * Returns a confidence value between 0 and 100.

 */
@property (assign) NSInteger confidence;

@end

NS_ASSUME_NONNULL_END
